// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('simbiosis', ['ionic', 'simbiosis.controllers', 'ionic-material', 'ionMdInput', 'ngCordova'])

.run(function($ionicPlatform) {
    $ionicPlatform.ready(function() {
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        }
        if (window.StatusBar) {
            // org.apache.cordova.statusbar required
            StatusBar.styleDefault();
        }
    });
})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {

    // Turn off caching for demo simplicity's sake
    $ionicConfigProvider.views.maxCache(1);


    $ionicConfigProvider.backButton.previousTitleText(false);

    $stateProvider.state('app', {
        url: '/app',
        abstract: true,
        templateUrl: 'templates/menu.html',
        controller: 'AppCtrl'
    })

    .state('app.services', {
        url: '/services',
        views: {
            'menuContent': {
                templateUrl: 'templates/services.html',
                controller: 'ServicesCtrl'
            },
            'fabContent': {
                controller: function ($timeout) {
                    $timeout(function () {
                        document.getElementById('fab-services').classList.toggle('on');
                    }, 900);
                }
            }
        }
    })

  .state('app.game', {
        url: '/game',
        views: {
            'menuContent': {
                templateUrl: 'templates/game.html',
                controller: 'GameCtrl'
            },
            'fabContent': {

                controller: function ($timeout) {
                    $timeout(function () {
                        document.getElementById('fab-game').classList.toggle('on');
                    }, 600);
                }
            }
        }
    })

  .state('app.downloads', {
        url: '/downloads',
        views: {
            'menuContent': {
                templateUrl: 'templates/downloads.html',
                controller: 'DownloadsCtrl'
            },
            'fabContent': {

                controller: function ($timeout) {
                    $timeout(function () {
                        document.getElementById('fab-downloads').classList.toggle('on');
                    }, 600);
                }
            }
        }
    })

    .state('app.gallery', {
        url: '/gallery',
        views: {
            'menuContent': {
                templateUrl: 'templates/gallery.html',
                controller: 'GalleryCtrl'
            },
            'fabContent': {

                controller: function ($timeout) {
                    $timeout(function () {
                        document.getElementById('fab-gallery').classList.toggle('on');
                    }, 600);
                }
            }
        }
    })

    .state('app.animations', {
        url: '/animations',
        views: {
            'menuContent': {
                templateUrl: 'templates/animations.html',
                controller: 'AnimationsCtrl'
            },
            'fabContent': {

                controller: function ($timeout) {
                    $timeout(function () {
                        document.getElementById('fab-animations').classList.toggle('on');
                    }, 600);
                }
            }
        }
    })

    .state('app.prices', {
        url: '/prices',
        views: {
            'menuContent': {
                templateUrl: 'templates/prices.html',
                controller: 'PricesCtrl'
            },
            'fabContent': {

                controller: function ($timeout) {
                    $timeout(function () {
                        document.getElementById('fab-prices').classList.toggle('on');
                    }, 600);
                }
            }
        }
    })

   .state('app.intro', {
        url: '/intro',
        views: {
            'menuContent': {
                templateUrl: 'templates/intro.html',
                controller: 'IntroCtrl'
            },
            'fabContent': {

                controller: function ($timeout) {
                    $timeout(function () {
                        document.getElementById('fab-intro').classList.toggle('on');
                    }, 300);
                }
            }
        }
    })

   .state('app.contacts', {
        url: '/contacts',
        views: {
            'menuContent': {
                templateUrl: 'templates/contacts.html',
                controller: 'ContactsCtrl'
            },
            'fabContent': {

                controller: function ($timeout) {
                    $timeout(function () {
                        document.getElementById('fab-activity').classList.toggle('on');
                    }, 200);
                }
            }
        }
    })

    .state('app.index', {
        url: '/index',
        views: {
            'menuContent': {
                templateUrl: 'templates/index.html',
                controller: 'IndexCtrl'
            },
            'fabContent': {
                template: ''
            }
        }
    })

    .state('app.credits', {
        url: '/credits',
        views: {
            'menuContent': {
                templateUrl: 'templates/credits.html',
                controller: 'CreditsCtrl'
            },
            'fabContent': {
                template: ''
            }
        }
    })

    .state('app.oprojects', {
        url: '/oprojects',
        views: {
            'menuContent': {
                templateUrl: 'templates/oprojects.html',
                controller: 'OprojectsCtrl'
            },
            'fabContent': {
                template: ''
            }
        }
    })
    ;

    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/app/intro');
});
