define(['app'],function(app) {

    function Contact(values) {
		values = values || {};
		this.id = values['id'] || app.utils.generateGUID();
		this.picId = values['picId'] || app.utils.getRandomInt(1,2);
		this.createdOn = values['createdOn'] || new Date();

		this.firstName = values['firstName'] || '';
		this.job = values['job'] || '';
		this.company = values['company'] || '';
		this.phone = values['phone'] || '';
		this.mobile = values['mobile'] || '';
		this.email = values['email'] || '';
		this.whatsapp = values['whatsapp'] || '';
		this.address = values['address'] || '';
		this.isLogo = values['isLogo'] || false;
		this.isMotion = values['isMotion'] || false;
		this.isManual = values['isManual'] || false;
		this.isPcard = values['isPcard'] || false;
		this.isSheet = values['isSheet'] || false;
		this.isEnvelope = values['isEnvelope'] || false;
		this.isCfile = values['isCfile'] || false;
		this.isBill = values['isBill'] || false;
		this.isSign = values['isSign'] || false;
		this.isFlyers = values['isFlyers'] || false;
		this.isSigns = values['isSigns'] || false;
		this.isBooklet = values['isBooklet'] || false;
		this.isSticker = values['isSticker'] || false;
		this.isDcard = values['isDcard'] || false;
		this.isMapp = values['isMapp'] || false;
		this.isApphost = values['isApphost'] || false;
		this.isWapp = values['isWapp'] || false;
		this.isDapp = values['isDapp'] || false;
		this.isWeb = values['isWeb'] || false;
		this.isWebhost = values['isWebhost'] || false;
		this.isWebcheck = values['isWebcheck'] || false;
		this.isSimbios = values['isSimbios'] || false;
		this.isPayyes = values['isPayyes'] || false;
		this.price = values['price'] || '';
    }

	Contact.prototype.setValues = function(inputValues) {
		for (var i = 0, len = inputValues.length; i < len; i++) {
			var item = inputValues[i];
			if (item.type === 'checkbox') {
				this[item.id] = item.checked;
			}
			else {
				this[item.id] = item.value;
			}
		}
	};

	Contact.prototype.validate = function() {
		var result = true;
		if (_.isEmpty(this.firstName)  ||
			_.isEmpty(this.job) ||
			_.isEmpty(this.company) ||
			_.isEmpty(this.phone) ||
			_.isEmpty(this.mobile) ||
			_.isEmpty(this.email) ||
			_.isEmpty(this.address)
			) {result = false;}
		return result;
	};
    return Contact;
});
